Subject: bug#44529: [PATCH] Convert apropos-internal from C to Lisp

From: Stefan Monnier <[email-masked]>
Date: Tue, 10 Nov 2020 14:50:02 -0500

>> I don't see that: elisp-mode.el calls `apropos-internal` only from
>> `xref-backend-apropos`, which AFAICT is not used "right at the
>> start" but only after loading `xref.el` which is itself not preloaded.
>
> I don't want to rely on such shaky assumptions: the code in
> elisp-mode.el can change any moment.
>
> apropos-internal was always available in Emacs, so let's leave it
> always available by putting it in subr.el or somesuch.

If we autoload it, it will work just as well without having to move it
outside of its most natural habitat.

        Stefan